<?php
  require "../commonincludefiles.php";
	$arr = array();
	$total = 0;
 	

	
/*		$start   = isset($_REQUEST['start'])  ? $_REQUEST['start']  :  0;
		$limit   = isset($_REQUEST['limit'])  ? $_REQUEST['limit']  :  0;
		$sort    = isset($_REQUEST['sort'])   ? $_REQUEST['sort']   : '';
		$dir     = isset($_REQUEST['dir'])    ? $_REQUEST['dir']    : 'ASC';
		$filters = isset($_REQUEST['filter']) ? $_REQUEST['filter'] : null;

		if (is_array($filters)) {
    		$encoded = false;
		} else {
    		$encoded = true;
    		$filters = json_decode($filters);
		}

		$qs = '';

		if (is_array($filters)) {
			for ($i=0;$i<count($filters);$i++){
				$filter = $filters[$i];
				
				if ($encoded) {
					$field = $filter->field;
					$value = $filter->value;
					$compare = isset($filter->comparison) ? $filter->comparison : null;
					$filterType = $filter->type;
				} else {
					$field = $filter['field'];
					$value = $filter['data']['value'];
					$compare = isset($filter['data']['comparison']) ? $filter['data']['comparison'] : null;
					$filterType = $filter['data']['type'];
				}
				switch($filterType){
				case 'string' : $qs .= " AND ".$field." LIKE '%".$value."%'"; break;
				case 'boolean' : $qs .= " AND ".$field." = ".($value); break;
				case 'list' :
				
					if (strstr($value,',')){
						   if(strcmp($field,"customer_type")==0){
								$fi = explode(',',$value);
								for ($q=0;$q < count($fi);$q++){
									$fi[$q] = "'".$fi[$q]."'";
								}
								$value = implode(',',$fi);
								$field = "customer_type";
								$qs .= " AND ".$field." IN (".$value.")";
								
						
						   }
						   else{
								$fi = explode(',',$value);
								for ($q=0;$q < count($fi);$q++){
									$fi[$q] = "'".$fi[$q]."'";
								}
								$value = implode(',',$fi);
								$qs .= " AND ".$field." IN (".$value.")";
							}	
					  }
					else
					{
							if(strcmp($field,"customer_type")==0)
							{
								
								 $field = "customer_type";
								 $qs .= " AND ".$field." = '".$value."'";
							 }
							
							 else
							 {
								 $qs .= " AND ".$field." = '".$value."'";
							 }
					}	
					
				break;
				case 'numeric' :
					switch ($compare) {
						case 'eq' : $qs .= " AND ".$field." = ".$value; break;
						case 'lt' : $qs .= " AND ".$field." < ".$value; break;
						case 'gt' : $qs .= " AND ".$field." > ".$value; break;
					}
				break;
				case 'date' :
					switch ($compare) {
						case 'eq' : $qs .= " AND ".$field." = '".date('Y-m-d',strtotime($value))."'"; break;
						case 'lt' : $qs .= " AND ".$field." < '".date('Y-m-d',strtotime($value))."'"; break;
						case 'gt' : $qs .= " AND ".$field." > '".date('Y-m-d',strtotime($value))."'"; break;
					}
				break;
				}
			}
			$where .= $qs;
		}

		$sortorder="";
						  
		if ($sort != ""){
			$order_field = $sort;
			$order_type  = $dir;		 		  
		}*/
	$k=0;
	
	
	$objlms_customerbillMgmt = new lms_customerbillMgmt();	
	
	
	/*if($order_field!="")
	{
		$order_field="lc.".$order_field;
	}	*/
			
	$rs = $objlms_customerbillMgmt->getAllRecords_BillNo_Groupwise($limit,$start,$where,$order_field,$order_type);
	
		$total = dbRows($rs);

	$i = 0;   
	if($total > 0) {
		$temparray = array();
	 	while($row = dbArray($rs)){
			
				$temparray["invoice_id"]   	  	 = $row["invoice_id"];
				$temparray["invoice_no"]		 = $row["invoice_no"];
				$temparray["billdate"]		 = $row["billdate"];
				$temparray["salesby"]   	 = $row["salesby"];
				$temparray["customer_name"]   	 = $row["customer_name"]; 	
				$temparray["address"] 			 = $row["address"];
				$temparray["remark"] 		 = $row["remark"];
				//$temparray["qty"]    	 = $row["qty"];
				//$temparray["rate"]    	 = $row["rate"];
				//$temparray["vat"]    	 = $row["vat"];
				//$temparray["discount"]    	 = $row["discount"];
				//$temparray["tamount"]    	 = $row["tamount"];
				
			
				$griddata[$i] = $temparray;   
				$i++;
			}		
	}
		echo '{"total":"'.$total.'","data":'.json_encode($griddata).'}';
?>